## org.metaabm.impl
Class SNDimensionalImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.impl.SNamedImpl
                          org.metaabm.impl.SAttributedImpl
                              org.metaabm.impl.SProjectionImpl
                                  org.metaabm.impl.SNDimensionalImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, IID, SAttributed, SNamed, SNDimensional, SProjection

Direct Known Subclasses:
  SContinuousSpaceImpl, SGridImpl

    public abstract class SNDimensionalImpl

extends SProjectionImpl
implements SNDimensional

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SBorderRule` `getBorderRule()`
`int` `getDimensionality()`
`void` `setBorderRule(SBorderRule newBorderRule)`
`void` `setDimensionality(int newDimensionality)`
`java.lang.String` `toString()`

Methods inherited from class org.metaabm.impl.SProjectionImpl
`basicSetOwner, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getOwner, setOwner`

Methods inherited from class org.metaabm.impl.SAttributedImpl
`findAttribute, getAttributes, isReachable`

Methods inherited from class org.metaabm.impl.SNamedImpl
`getDescription, getPluralLabel, references, setDescription, setID, setPluralLabel`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SProjection
`getOwner, setOwner`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getDimensionality

    public int getDimensionality()

  Specified by:
    `getDimensionality` in interface `SNDimensional`
  Returns:
    the value of the 'Dimensionality' attribute.
  See Also:
    `SNDimensional.setDimensionality(int)`, `MetaABMPackage.getSNDimensional_Dimensionality()`

### setDimensionality

    public void setDimensionality(int newDimensionality)

  Specified by:
    `setDimensionality` in interface `SNDimensional`
  Parameters:
    `newDimensionality` - the new value of the 'Dimensionality' attribute.
  See Also:
    `SNDimensional.getDimensionality()`

### getBorderRule

    public SBorderRule getBorderRule()

  Specified by:
    `getBorderRule` in interface `SNDimensional`
  Returns:
    the value of the 'Border Rule' attribute.
  See Also:
    `SBorderRule`, `SNDimensional.setBorderRule(SBorderRule)`, `MetaABMPackage.getSNDimensional_BorderRule()`

### setBorderRule

    public void setBorderRule(SBorderRule newBorderRule)

  Specified by:
    `setBorderRule` in interface `SNDimensional`
  Parameters:
    `newBorderRule` - the new value of the 'Border Rule' attribute.
  See Also:
    `SBorderRule`, `SNDimensional.getBorderRule()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SProjectionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SProjectionImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SProjectionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SProjectionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SNamedImpl`